package com.shenghua.dto;

import com.shenghua.annotations.NotNull;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PageDto {

    @ApiModelProperty(value = "起始页",required = true)
    @NotNull
    private Integer pageNum;

    @ApiModelProperty(value = "一页数量",required = true)
    @NotNull
    private Integer pageSize;

    @ApiModelProperty(value = "分类",required = true)
    private Integer categoryId;
}
