package com.shenghua.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class NewsVo {

    private Integer id;

    @ApiModelProperty(value = "分类ID")
    private Integer categoryId;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "文章封面")
    private String cover;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "SEO标题")
    private String seoTitle;

    @ApiModelProperty(value = "SEO关键词")
    private String seoKeywords;

    @ApiModelProperty(value = "SEO描述")
    private String seoDescription;

    @ApiModelProperty(value = "上篇ID")
    private Integer upChapterId;

    @ApiModelProperty(value = "上篇标题")
    private String upChapterName;

    @ApiModelProperty(value = "下篇ID")
    private Integer downChapterId;

    @ApiModelProperty(value = "下篇ID")
    private String downChapterName;

    @ApiModelProperty(value = "发布时间")
    private Date createTime;


}
