package com.shenghua.entitys.news;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@TableName("news")
@Api(tags = "新闻表")
public class News {

    private Integer id;

    @ApiModelProperty(value = "分类ID")
    private Integer categoryId;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "文章封面图片")
    private String cover;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "SEO标题")
    private String seoTitle;

    @ApiModelProperty(value = "SEO关键词")
    private String seoKeywords;

    @ApiModelProperty(value = "SEO描述")
    private String seoDescription;

    @ApiModelProperty(value = "发布时间")
    private Date createTime;
}
