package com.shenghua.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class NewsDetailsVo {

    private Integer id;

    @ApiModelProperty(value = "分类ID")
    private Integer categoryId;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "图片")
    private String image;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "发布时间")
    private Date createTime;

    @ApiModelProperty(value = "SEO标题")
    private String seoTitle;

    @ApiModelProperty(value = "SEO关键词")
    private String seoKeywords;

    @ApiModelProperty(value = "SEO描述")
    private String seoDescription;
}
